<div>
    <h2>
        <span>Scenarios</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-scenario" [routerLink]="['/', { outlets: { popup: ['scenario-new'] } }]">
            <span class="fa fa-plus"></span>
            <span >
            Create new Scenario
            </span>
        </button> -->
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="scenarios">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span>ID</span></th>
            <th><span>Idee</span></th>
            <th><span>Personnages</span></th>
            <th><span>Genre</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let scenario of scenarios ;trackBy: trackId">
                <td><a [routerLink]="['../scenario', scenario.id ]">{{scenario.id}}</a></td>
                <td>{{scenario.idee}}</td>
                <td>{{scenario.scenario}}</td>
                <td>{{scenario.genre}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../scenario', scenario.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'scenario/'+ scenario.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'scenario/'+ scenario.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
